Старые браузеры ограничены определенными операционными системами и оборудованием? [закрыто]


0

По каким именно причинам люди все еще используют что-то вроде IE6? Конечно, это должно быть нечто большее, чем " они просто не разбираются в компьютерах " ...

Я предполагаю, что существуют возможные проблемы с оборудованием и ОС, которые не позволяют пользователю перейти с, скажем, IE6, до самой последней версии IE. Если это правда, могут ли они не просто использовать Chrome вместо этого, поскольку он рекламируется как «облегченный» браузер? ( Лично я пользователь Firefox )

Если проблемы с оборудованием и / или ОС не мешают пользователю обновить свой браузер, вместо того, чтобы писать код для поддержки старых браузеров, я бы лучше обнаружил браузер и отобразил сообщение примерно так:

You are using an outdated browser! This website is not compatible with this browser.
You should either upgrade to the newest version of Internet Explorer, or use Firefox or Chrome instead.

...links to download various browsers here...

Do yourself, the internet, and web-developers everywhere a favor and upgrade your browser!

Если аппаратное обеспечение и ОС являются серьезные проблемы, было бы уместным для поддержки пользователей Windows XP и выше только ? Или значительная часть населения все еще пользуется интернетом на дерьмовых компьютерах?


1
Я бы не назвал их дрянными компьютерами, но то, что они могут себе позволить, да еще кучка бедных людей, которые используют старые компьютеры. У меня есть старая версия IE 2.0, она работает в Windows 7, отображает большинство веб-сайтов только в текстовом формате, хорошо умеет читать новости, мало уязвимостей и не загружает рекламу или скрипты.
Моав

Хм, да, я не думал об этих менее удачных, спасибо @Moab за то, что подчеркнул это ... Я определенно приму это во внимание.
Ян Кэмпбелл

1
Я думаю, что многие люди, благодаря горькому опыту, обнаружили, что обновление чего-либо ломает столько же, сколько и исправление, поэтому они не обновляются, пока не выберут другой вариант. И, на самом деле, у меня есть старая версия Linux, в которой нельзя обновить Firefox из-за уровня Linux, и я не могу обновить Linux из-за аппаратного уровня. (Но коробка действительно используется только в качестве файлового сервера.)
Даниэль Р Хикс

1
Почему люди что-то делают?
Ƭᴇcʜιᴇ007

Ответы:


3

Старые браузеры ограничены определенными операционными системами и оборудованием?

По каким именно причинам люди все еще используют что-то вроде IE6? Конечно, это должно быть нечто большее, чем "они просто не разбираются в компьютерах" ...

Я предполагаю, что существуют возможные проблемы с оборудованием и ОС, которые не позволяют пользователю перейти с, скажем, IE6, до самой последней версии IE. Если это правда, могут ли они не просто использовать Chrome вместо этого, поскольку он рекламируется как «облегченный» браузер? (Лично я пользователь Firefox)

Вы задали два вопроса. Я обращусь к обоим.

По названию:

Более старый браузер может быть ограничен более старыми операционными системами и / или оборудованием. Это зависит от того, как они были реализованы и какие ресурсы они используют. Например, посмотрите на старые игры для DOS. Они прекрасно работали в течение длительного времени, но они не будут работать на более поздних операционных системах или оборудовании. Они не будут работать по разным причинам. Например, ново�� оборудование было слишком быстрым и вызывало такие вещи, как переполнение и сбой, или чрезмерная, неиграбельная скорость игры. У них также были проблемы с более новыми операционными системами из-за абстракции, которая препятствовала их прямому доступу к оборудованию, как они ожидали, или из-за различий в доступности ресурсов, таких как ОЗУ или сетевые сокеты.

То же самое касается различных старых игр и приложений для Windows. Некоторые из них являются 16-разрядными и не могут работать корректно или вообще работать в современных системах, другие - 32-разрядными и имеют другие проблемы, которые мешают им работать на чем-либо, кроме старой системы.

По первому абзацу тела вопроса:

Многие старые веб-приложения были разработаны, когда IE5 или 6 были доступны (и блестящие, и новые). Поскольку IE был таким нестандартным браузером, эти веб-приложения должны были обеспечить все виды приспособлений для корректной работы. Таким образом, при отображении в более современных браузерах, соответствующих стандартам, они работают неправильно.

Многие из этих веб-приложений используются в бизнесе для таких вещей, как точки продаж, инвентарь и т. Д. Проблема в том, что компьютерный мир очень эфемерен, и многие фирмы-разработчики программного обеспечения создали эти старые приложения (будь то веб) или на настольном компьютере) уже давно прекратили свою деятельность, поэтому нет простого способа обновить их для современных браузеров (если они вообще есть).

Кроме того, обновление до совершенно нового программного продукта было бы масштабным мероприятием, для которого потребовалось бы огромное количество работы для перехода. Это может потребовать преобразования или адаптации баз данных, это может потребовать переподготовки персонала, это может повлечь за собой простои и потерю производительности или прибыли, и, прежде всего, это требует обширного тестирования на совместимость и безопасность. Наконец, поскольку они часто склонны работать и «достаточно хороши», бизнес не желает проходить через все трудности, связанные с изменениями, если им это абсолютно не нужно. А поскольку их программное обеспечение связано со старой версией IE и / или старой версией Windows, они должны продолжать работать на совместимом оборудовании.

Да, продолжать использовать старое программное обеспечение может быть опасно, в том числе со всеми уязвимостями и тому подобным, но их можно уменьшить с помощью виртуальных машин, брандмауэров и т. Д. Этот органический рост из-за исправлений и буферизации делает систему более сложной и грязной, но это все же легче, чем полное изменение. Вот почему многие люди продолжают использовать старое программное и аппаратное обеспечение.

Если проблемы с оборудованием и / или ОС не мешают пользователю обновить свой браузер, вместо того, чтобы писать код для поддержки старых браузеров, я бы лучше обнаружил браузер и отобразил сообщение примерно так:

Вы используете устаревший браузер! Этот сайт не совместим с этим браузером. Вам следует либо обновить свою версию Internet Explorer до последней версии, либо использовать Firefox или Chrome. ... ссылки для загрузки различных браузеров здесь ... Сделайте себе, интернету и веб-разработчикам всюду услугу и обновите свой браузер!

Люди ненавидят, когда им говорят, что они должны выбрасывать свое совершенно хорошее оборудование, и им приходится тратить деньги (которых у них может не быть) на покупку новых вещей. Да, некоторые люди могут позволить себе выкинуть свой iPhone 4 и купить iPhone через год, потом еще и еще, но многие не могут. Особенно ненавидят, когда веб-сайт говорит им, что вместо того, чтобы изящно унизить, тем более, что вся линейка обновлений вашего браузера «такова 1990-е годы» (не говоря уже о снисходительном и даже высокомерном).

Если оборудование и операционная система представляют собой серьезные проблемы, будет ли это актуально только для пользователей Windows XP и выше? Или значительная часть населения все еще пользуется интернетом на дерьмовых компьютерах?

Не думайте, что каждый может позволить себе новейшую игровую установку Alienware с водяным охлаждением. Во многих странах мира людям все еще приходится делиться компьютерами в школе, библиотеках или интернет-кафе (если у них вообще есть доступ к одному).

Вам не нужно их поддерживать, но тогда вам вообще не нужно создавать сайт. Все зависит от того, какой у вас сайт и кого вы обслуживаете. Если вы хотите создать бизнес-сайт, то в ваших интересах попытаться охватить как можно больше людей. Если ваш сайт просто блог, то вам может быть все равно, увидит ли его кто-то еще. В любом случае, если вы не создаете модное, продвинутое веб-приложение с HTML5 и т. Д., Есть множество способов создать веб-сайт, который является простым и достаточно стандартным для более или менее корректной визуализации в большинстве браузеров, как новых, так и старых без необходимость прыгать через слишком много обручей (но это совсем другое дело).


Спасибо @Synetech! Это очень подробный ответ, спасибо за это. Идея сайта, над которой я работаю, будет контекстуально актуальна только в США, не является бизнесом и будет использовать API, которые более старые браузеры наверняка не смогут обработать ... Так что в моей ситуации, я думаю, было бы хорошо отобразить сообщение «обновить». Хотя это может быть «так в 1990-х», ха, действительно, для пользователя не должно быть большой проблемой обновить свой браузер, если его аппаратное обеспечение / ОС это позволяет, и я считаю, что стоит предложить это тем, кто еще не подумал об этом. Я хотел бы представить, что миграция закладок будет единственной проблемой.
Ян Кэмпбелл

Кроме того, я, конечно, не ожидаю, что каждый сможет позволить себе компьютеры Alienware, а скорее ищу рациональный и законный способ для людей обновить свои браузеры, если это возможно, без необходимости приобретать новый компьютер ... Так что я Любопытно, какое оборудование / ОС может быть проблемой для этого, или если такие проблемы могут быть минимальными для среднего пользователя.
Ян Кэмпбелл

1
Единого универсального ответа не существует; это зависит от браузера, ОС и оборудования. Например, вы не можете установить IE7 на XP SP1, вы должны установить SP2, потому что функция DecodePointer не существует в ядре до SP2, поэтому, если его использует более новый браузер, пользователь должен применить пакет обновления, чтобы использовать его.
Synetech

1
«Люди в Северной Америке и Европе, кажется, забывают, что мир не ограничен их собственными границами». Это общее предположение с вашей стороны, это также мнение, основанное на фактах вообще.
Моав

@Moab я использовал универсальный термин, как и все люди ... или все в ... ? Нет, я не И это основано на опыте . За прошедшие годы я видел множество (по крайней мере, несколько десятков) людей, которые разместили комментарии (большинство из которых были на самом деле американцами), которые разместили комментарии, указывающие, что они ожидают, что все смогут покупать новые вещи на капля шляпы и сбит с толку, когда люди не могут / не могут.
Synetech
Используя наш сайт, вы подтверждаете, что прочитали и поняли нашу Политику в отношении файлов cookie и Политику конфиденциальности.
Licensed under cc by-sa 3.0 with attribution required.